HomeGuidesAPI ReferenceChangelog
Log In
API Reference

Get One Zip Code

Retrieve location metadata for one ZIP code.

Recent Requests
Log in to see full request history
TimeStatusUser Agent
Retrieving recent requests…
LoadingLoading…

Retrieve location metadata for one ZIP code.

Use this endpoint when you need details for a specific ZIP code, such as city, county, state, latitude, longitude, time zone, and daylight saving time behavior.

Resource URI

GET /rest/public/zipcodes/{zipCode}

Path parameters

ParameterTypeDescription
zipCodeStringZIP code to retrieve. Required.

Response data

A ZIP code record can include fields such as:

FieldDescription
zipcodeFive-character ZIP code.
cityDisplay name of the city containing the ZIP code.
countyDisplay name of the county containing the ZIP code.
stateTwo-character state abbreviation.
latitudeLatitude of the ZIP code location.
longitudeLongitude of the ZIP code location.
timeZoneNumeric time zone value.
dayLightSavingWhether the ZIP code observes daylight saving time.

For the full data model, see ZIP Codes.

Example

GET /rest/public/zipcodes/48322

A successful response returns a standard response payload with type set to ZipCode and one ZIP code record in the results array.

Path Params
string
required

Phrase for searching the names of ZIP Codes (Optional)

Responses

Language
Credentials
Basic
base64
:
LoadingLoading…
Response
Click Try It! to start a request and see the response here! Or choose an example:
application/json